MySQL Forums
Forum List  »  Connector/C++

Re: VS 2015 - C++ Connector 1.1.8 - needs to have dll-interface
Posted by: Eduardo Fukay
Date: February 06, 2017 04:29PM

Dear Fellows,

There are several hints for some other errors.
Check (https)://purplecastle(.)github(.)io/posts/build-mysql-connector-c++-with-vs2015/

"In "mysql-connector-c++-1.1.7\driver\nativeapi\mysql_private_iface.h". Because the vs version is newer, there will be caused building error if you have not noticed it.

in 1.1.7 version, it is at line 47 to 49. YOu can change like this:

#if (_MCS_VER < 1800)
# if ( defined(_WIN32) || defined(_WIN64) ) && !defined(snprintf)
# define snprintf _snprintf
# endif
#endif

Regarding your particular case, I am also having the same problem.

Options: ReplyQuote


Subject
Views
Written By
Posted
Re: VS 2015 - C++ Connector 1.1.8 - needs to have dll-interface
305
February 06, 2017 04:29PM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.